List Payment Networks for an Account
curl --request GET \
--url https://api.meow.com/v1/accounts/{account_id}/payment-networks \
--header 'x-api-key: <api-key>'import requests
url = "https://api.meow.com/v1/accounts/{account_id}/payment-networks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.meow.com/v1/accounts/{account_id}/payment-networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meow.com/v1/accounts/{account_id}/payment-networks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meow.com/v1/accounts/{account_id}/payment-networks")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meow.com/v1/accounts/{account_id}/payment-networks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meow.com/v1/accounts/{account_id}/payment-networks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const url = 'https://api.meow.com/v1/accounts/{account_id}/payment-networks';
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.meow.com/v1/accounts/{account_id}/payment-networks");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.meow.com/v1/accounts/{account_id}/payment-networks")
.get()
.addHeader("x-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.meow.com/v1/accounts/{account_id}/payment-networks")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))falsefalse$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.meow.com/v1/accounts/{account_id}/payment-networks' -Method GET -Headers $headers{
"paymentNetworks": [
{
"transferIn": true,
"transferOut": true,
"bankId": "<string>",
"identifier": "<string>",
"bankName": "<string>",
"bankAddress": "<string>",
"beneficiaryName": "<string>",
"beneficiaryAddress": "<string>",
"swiftCode": "<string>",
"intermediaryBank": {
"swift": "<string>",
"bank_name": "<string>",
"bank_address": "<string>"
},
"fiToFiReference": "<string>"
}
],
"page": {
"nextOffset": "qwer123454q2f"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Accounts
List Payment Networks for an Account
Returns the payment networks supported by a specified account.
GET
/
accounts
/
{account_id}
/
payment-networks
List Payment Networks for an Account
Authorizations
Your Meow API key, sent in the x-api-key header for authentication.
Headers
Optional entity_id to scope requests to a specific entity.
Path Parameters
The ID of the account.
Response
Successful Response
Array of payment networks, or an empty array if none are available. Not all accounts support every network; for example, a prepaid debit card account does not support ACH.
Show child attributes
Show child attributes
Examples:
[
{
"bankId": 10088889,
"identifier": "1111222233335820",
"transferIn": true,
"transferOut": true,
"type": "US_ACH"
}
]
[
{
"bankId": 10088889,
"identifier": "1111222233335820",
"transferIn": true,
"transferOut": true,
"type": "US_ACH"
},
{
"identifier": "0x1234567890abcdef1234567890abcdef12345678",
"network": "ETHEREUM",
"transferIn": true,
"transferOut": true,
"type": "USDC"
}
]
[
{
"identifier": "8xDc123456789abcdef123456789abcdef123456789abcdef",
"network": "SOLANA",
"transferIn": true,
"transferOut": true,
"type": "USDC"
}
]
Metadata for pagination.
Show child attributes
Show child attributes
⌘I